javax.vecmath

## Class TexCoord2f

- java.lang.Object
- - javax.vecmath.Tuple2f
  - - javax.vecmath.TexCoord2f

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class TexCoord2f
      extends Tuple2f
      implements java.io.Serializable

  A 2-element vector that is represented by single-precision floating point x,y coordinates.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.vecmath.Tuple2f

      `x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexCoord2f()` Constructs and initializes a TexCoord2f to (0,0).
    `TexCoord2f(float[] v)` Constructs and initializes a TexCoord2f from the specified array.
    `TexCoord2f(float x, float y)` Constructs and initializes a TexCoord2f from the specified xy coordinates.
    `TexCoord2f(TexCoord2f v1)` Constructs and initializes a TexCoord2f from the specified TexCoord2f.
    `TexCoord2f(Tuple2f t1)` Constructs and initializes a TexCoord2f from the specified Tuple2f.

  - ### Method Summary

    - ### Methods inherited from class javax.vecmath.Tuple2f

      `absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, getX, getY, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setX, setY, sub, sub, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TexCoord2f

          public TexCoord2f(float x,
                    float y)

      Constructs and initializes a TexCoord2f from the specified xy coordinates.
      Parameters:
        `x` - the x coordinate
        `y` - the y coordinate

    - #### TexCoord2f

          public TexCoord2f(float[] v)

      Constructs and initializes a TexCoord2f from the specified array.
      Parameters:
        `v` - the array of length 2 containing xy in order

    - #### TexCoord2f

          public TexCoord2f(TexCoord2f v1)

      Constructs and initializes a TexCoord2f from the specified TexCoord2f.
      Parameters:
        `v1` - the TexCoord2f containing the initialization x y data

    - #### TexCoord2f

          public TexCoord2f(Tuple2f t1)

      Constructs and initializes a TexCoord2f from the specified Tuple2f.
      Parameters:
        `t1` - the Tuple2f containing the initialization x y data

    - #### TexCoord2f

          public TexCoord2f()

      Constructs and initializes a TexCoord2f to (0,0).

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.